LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-12-2019, 02:40 PM   #1
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,286

Rep: Reputation: 218Reputation: 218Reputation: 218
Running Wordpress's PHP Compatibility Checker in Linux


The instructions tell me to run:
Quote:
wp phpcompat <version> [--scan=<scan>]
so I try
Code:
wp phpcompat 7.1 --scan=active
and Linux tells me there is no wp. I can't find any relevant wp executable. There's a way to run it from a Wordpress dashboard, but that's another guy's job, and he's out. Is there a way to run it from the command line? I installed phpcompat the way they told me to. There are many other plugins in that directory; I suspect they work.
 
Old 09-12-2019, 03:07 PM   #2
scasey
Senior Member
 
Registered: Feb 2013
Location: Tucson, AZ, USA
Distribution: CentOS 7.6
Posts: 3,786

Rep: Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276
No.
The compatibility checker is a WordPress plugin...those are not typically runable at the command line.
As you've discovered, there is no program or command called wp WordPress is a set of php files.
 
Old 09-13-2019, 04:03 PM   #3
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,286

Original Poster
Rep: Reputation: 218Reputation: 218Reputation: 218
Quote:
Originally Posted by scasey View Post
there is no program or command called wp
That command is on the page wp describes how to use that plugin. I assumed it referred to a Windoze executable. Nobody has responded to my query on their forum for this plugin. What could it mean?
 
Old 09-13-2019, 04:06 PM   #4
scasey
Senior Member
 
Registered: Feb 2013
Location: Tucson, AZ, USA
Distribution: CentOS 7.6
Posts: 3,786

Rep: Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276Reputation: 1276
Quote:
Originally Posted by RandomTroll View Post
That command is on the page wp describes how to use that plugin. I assumed it referred to a Windoze executable. Nobody has responded to my query on their forum for this plugin. What could it mean?
Please post a link to the "page wp describes how to use that plugin"
Are you running WordPress on a Windows server or Windows client?

EDIT: Found the page. "wp" is an alias/rename of a tool named wp-cli.phar that must be downloaded and "installed" Looking at it now. See:
https://make.wordpress.org/cli/

Last edited by scasey; 09-13-2019 at 04:38 PM.
 
1 members found this post helpful.
Old 09-14-2019, 03:16 PM   #5
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,286

Original Poster
Rep: Reputation: 218Reputation: 218Reputation: 218
Thanks. Somebody eventually replied at WordPress's forum. I'm still getting weird errors (it runs out of RAM even though I have 2G free). I'll hash it out there and wait for our WordPress guy to chime in. I asked here in case a WordPress cognoscento participated in this forum.
 
Old 09-15-2019, 09:05 AM   #6
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,286

Original Poster
Rep: Reputation: 218Reputation: 218Reputation: 218
jrf @ wordpress.org replied
Quote:
If you want to run from the command-line anyway, you'd probably be better off using the underlying project - PHPCompatibility for PHP_CodeSniffer - instead of the WP plugin. See: https://github.com/PHPCompatibility/PHPCompatibility/
which seems to work.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Docker with wordpress/mysql/nginx, no styles in wordpress E-Kami Linux - Server 2 01-23-2018 02:41 PM
LXer: WordPress Plugin Tutorial ó How To Install WordPress Plugins LXer Syndicated Linux News 0 12-09-2015 09:10 AM
Apache2 Configuration or Wordpress Configuration: Wordpress index.php not loading khun Linux - Newbie 5 05-18-2012 08:26 AM
how to install pre existing wordpress directory on a existing wordpress to run a web ajbardhan Linux - Software 3 04-28-2012 07:01 PM
[SOLVED] WordPress requires that your web server is running PHP error .. jsaravana87 Linux - Server 4 08-13-2011 07:36 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 06:42 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration